Issue 121466 - reduce usage of build environment variable BUILD_SPECIAL
reduce usage of build environment variable BUILD_SPECIAL
Status: CLOSED FIXED
Product: Build Tools
Classification: Code
Component: configure
3.4.1
All All
: P3 normal (vote)
: 4.0.0
Assigned To: AOO issues mailing list
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2012-12-12 13:45 UTC by Oliver-Rainer Wittmann
Modified: 2013-07-12 11:16 UTC (History)
1 user (show)

See Also:
Issue Type: DEFECT
Latest Confirmation on: ---
Developer Difficulty: ---


Attachments

Note You need to log in before you can comment on or make changes to this issue.
Description Oliver-Rainer Wittmann 2012-12-12 13:45:06 UTC
The build environment variable BUILD_SPECIAL is currently not set in the build environment.
When this build environment variable is set the one or the other stuff is activated or done different.

The purpose of the issue is to reduce of the usage of this build environment variable as far as possible and to document the remaining usages.
Comment 1 Oliver-Rainer Wittmann 2012-12-12 13:56:11 UTC
One of the usages is to enabled the "OOo improvement via usage tracking" named feature. This feature can not be easily activated as a certain web service would be needed.
Solution for the corresponding usages:
- replace BUILD_SPECIAL by also not set build environment variable ENABLE_OOOIMPROVEMENT

It also reveals the certain variables specified in /main/instsetoo_native/util/openoffice.lst are only used for this feature. This will be documented in new file /main/instsetoo_native/util/openoffice.lst.README
Comment 2 SVN Robot 2012-12-12 14:42:01 UTC
"orw" committed SVN revision 1420709 into trunk:
#121466# - replace BUILD_SPECIAL by ENABLE_ONLINE_UPDATE - left over from Ari...
Comment 3 Oliver-Rainer Wittmann 2012-12-12 14:44:02 UTC
(In reply to comment #1)
> One of the usages is to enabled the "OOo improvement via usage tracking"
> named feature. This feature can not be easily activated as a certain web
> service would be needed.
> Solution for the corresponding usages:
> - replace BUILD_SPECIAL by also not set build environment variable
> ENABLE_OOOIMPROVEMENT
> 
> It also reveals the certain variables specified in
> /main/instsetoo_native/util/openoffice.lst are only used for this feature.
> This will be documented in new file
> /main/instsetoo_native/util/openoffice.lst.README

committed solution into trunk, revision 1420691
Comment 4 SVN Robot 2012-12-12 14:51:18 UTC
"orw" committed SVN revision 1420715 into trunk:
#121466# - packed image for MacOS X installation background image no longer d...
Comment 5 SVN Robot 2012-12-12 14:56:27 UTC
"orw" committed SVN revision 1420720 into trunk:
#121466# - no need to check, if BUILD_SPECIAL is not set
Comment 6 SVN Robot 2012-12-12 15:11:11 UTC
"orw" committed SVN revision 1420740 into trunk:
#121466# - no need to have different $REGISTRYLAYERNAME, if BUILD_SPECIAL is set
Comment 7 SVN Robot 2012-12-12 15:14:25 UTC
"orw" committed SVN revision 1420743 into trunk:
#121466# - replace BUILD_SPECIAL by ENABLE_ERROR_REPORT_SERVER
Comment 8 SVN Robot 2012-12-13 13:02:46 UTC
"orw" committed SVN revision 1421274 into trunk:
#121466# - remove BUILD_SPECIAL and derived NETWORK_BUILD variable to workaro...
Comment 9 SVN Robot 2012-12-13 13:08:34 UTC
"orw" committed SVN revision 1421281 into trunk:
#121466# - follow-up: remove comment for removed NETWORK_BUILD variable
Comment 10 hdu@apache.org 2013-07-12 11:15:51 UTC
Verified in AOO 4.0.0 RC1 (r1502186)